std::this_thread(3)

NAME
std::this_thread - ISO C++ 2011 entities sub-namespace for thread. 30.3.2 Namespace this_thread.

SYNOPSIS

  Functions
void __sleep_for (chrono::seconds, chrono::nanoseconds)
thread::id get_id () noexcept
get_id
template<typename _Rep , typename _Period > void sleep_for (const chrono::duration< _Rep, _Period > &__rtime)
sleep_for
template<typename _Clock , typename _Duration > void sleep_until (const chrono::time_point< _Clock, _Duration > &__atime)
sleep_until
void yield () noexcept
yield

Detailed Description

ISO C++ 2011 entities sub-namespace for thread. 30.3.2 Namespace this_thread.

Function Documentation

  thread::id std::this_thread::get_id () [inline], [noexcept]

get_id

Definition at line 282 of file thread.

References get_id().

Referenced by get_id().

  template<typename _Rep , typename _Period > void std::this_thread::sleep_for (const chrono::duration< _Rep, _Period > & __rtime) [inline]

sleep_for

Definition at line 310 of file thread.

References std::chrono::duration_cast().

Referenced by sleep_until().

  template<typename _Clock , typename _Duration > void std::this_thread::sleep_until (const chrono::time_point< _Clock, _Duration > & __atime) [inline]

sleep_until

Definition at line 332 of file thread.

References sleep_for().

  void std::this_thread::yield () [inline], [noexcept]

yield

Definition at line 297 of file thread.

Author

Generated automatically by Doxygen for libstdc++ from the source code.